<?php include 'graph.php';  ?>
<!DOCTYPE html>
<html>
   <head>
      <script src="https://code.highcharts.com/highcharts.js"></script>
      <script src="https://code.highcharts.com/modules/exporting.js"></script>
      <script src="https://code.highcharts.com/modules/export-data.js"></script>
      <script src="https://code.highcharts.com/modules/accessibility.js"></script>
      <style>
         .highcharts-figure,
         .highcharts-data-table table {
         min-width: 310px;
         max-width: 800px;
         margin: 1em auto;
         }
         #container {
         height: 400px;
         }
         .highcharts-data-table table {
         font-family: Verdana, sans-serif;
         border-collapse: collapse;
         border: 1px solid #ebebeb;
         margin: 10px auto;
         text-align: center;
         width: 100%;
         max-width: 500px;
         }
         .highcharts-data-table caption {
         padding: 1em 0;
         font-size: 1.2em;
         color: #555;
         }
         .highcharts-data-table th {
         font-weight: 600;
         padding: 0.5em;
         }
         .highcharts-data-table td,
         .highcharts-data-table th,
         .highcharts-data-table caption {
         padding: 0.5em;
         }
         .highcharts-data-table thead tr,
         .highcharts-data-table tr:nth-child(even) {
         background: #f8f8f8;
         }
         .highcharts-data-table tr:hover {
         background: #f1f7ff;
         }
      </style>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha.5/css/bootstrap.min.css">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha.5/js/bootstrap.min.js"></script>	
      <link rel="stylesheet" href="css/style.css" media="screen" type="text/css" />
   </head>
   <body>
      <table class="table">
         <thead class="thead-dark">
            <tr>
               <th scope="col">Total Call</th>
            </tr>
         </thead>
         <tbody>
            <tr>
               <td>
                  <figure class="highcharts-figure">
                     <div id="container"></div>
                  </figure>
               </td>
            </tr>
         </tbody>
      </table>
   </body>
</html>
<script>
   Highcharts.chart('container', {
      chart: {
          type: 'column'
      },
      title: {
          text: 'Total Calls Last Week'
      },
   
      xAxis: {
          categories: [
              <?php  	
      foreach ($json_tts2 as $key => $value_tts2) {
       
       $date=$value_tts2["datetime"];
      	$new_date = date("Y-m-d",strtotime($date));
       
        echo "'".$new_date."'".", ";
      }  
      ?>
          ],
          crosshair: true
      },
      yAxis: {
          min: 0,
          title: {
              text: 'Total Calls Count'
          }
      },
      tooltip: {
          headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
          pointFormat: '<tr><td style="color:{series.color};padding:0">{series.name}: </td>' +
              '<td style="padding:0"><b>{point.y:.0f} </b></td></tr>',
          footerFormat: '</table>',
          shared: true,
          useHTML: true
      },
      plotOptions: {
          column: {
              pointPadding: 0.2,
              borderWidth: 0
          }
      },
      series: [{
          name: 'Calls',
          data: [<?php    foreach ($json_tts2 as $key => $value_tts2) {
      echo $value_tts2["total"]. ", ";
      }
      ?>]
   
          }]
   });
</script>